summaryrefslogtreecommitdiffstats
path: root/source/a/file
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-12-21 01:04:26 +0000
committer Eric Hameleers <alien@slackware.com>2019-12-21 08:59:50 +0100
commit07f87f994f59b3e53d1385c2a078db7a9952492d (patch)
tree9dbf0a86677ec28321b4958569eee5af1b39d448 /source/a/file
parentff3b814028dc082b519c9337103727ace8641cad (diff)
downloadcurrent-07f87f994f59b3e53d1385c2a078db7a9952492d.tar.gz
current-07f87f994f59b3e53d1385c2a078db7a9952492d.tar.xz
Sat Dec 21 01:04:26 UTC 201920191221010426
a/aaa_elflibs-15.0-x86_64-17.txz: Rebuilt. Upgraded: libcap.so.2.28, libelf-0.178.so, libglib-2.0.so.0.6200.4, libgmodule-2.0.so.0.6200.4, libgobject-2.0.so.0.6200.4, libgthread-2.0.so.0.6200.4, libidn2.so.0.3.7, libpcre2-8.so.0.9.0, libtdb.so.1.4.3. Added: libffi.so.6.0.4, libffi.so.7.1.0. a/file-5.38-x86_64-2.txz: Rebuilt. Patched to fix ELF shared libraries misidentified as "statically linked." a/kernel-firmware-20191220_6871bff-noarch-1.txz: Upgraded. a/openssl10-solibs-1.0.2u-x86_64-1.txz: Upgraded. (* Security fix *) d/guile-2.2.6-x86_64-2.txz: Rebuilt. Recompiled against libffi-3.3. d/llvm-9.0.1-x86_64-1.txz: Upgraded. Compiled against libffi-3.3. d/python-2.7.17-x86_64-2.txz: Rebuilt. Recompiled against libffi-3.3. d/python3-3.7.6-x86_64-1.txz: Upgraded. Compiled against libffi-3.3. d/ruby-2.6.5-x86_64-2.txz: Rebuilt. Recompiled against libffi-3.3. l/glib2-2.62.4-x86_64-2.txz: Rebuilt. Recompiled against libffi-3.3. l/libffi-3.3-x86_64-1.txz: Upgraded. Shared library .so-version bump. l/libvpx-1.8.2-x86_64-1.txz: Upgraded. l/pygobject-2.28.7-x86_64-4.txz: Rebuilt. Recompiled against libffi-3.3. l/pygobject3-3.34.0-x86_64-2.txz: Rebuilt. Recompiled against libffi-3.3. l/sip-4.19.20-x86_64-1.txz: Upgraded. n/cifs-utils-6.10-x86_64-1.txz: Upgraded. n/dhcpcd-8.1.3-x86_64-1.txz: Upgraded. n/openssl10-1.0.2u-x86_64-1.txz: Upgraded. This update fixes a low severity security issue: Fixed an an overflow bug in the x86_64 Montgomery squaring procedure used in exponentiation with 512-bit moduli. For more information, see: https://www.openssl.org/news/secadv/20191206.txt https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1551 (* Security fix *) n/p11-kit-0.23.18.1-x86_64-2.txz: Rebuilt. Recompiled against libffi-3.3. extra/tigervnc/tigervnc-1.10.1-x86_64-1.txz: Upgraded. From tigervnc.org: "This is a security release to fix a number of issues that were found by Kaspersky Lab. These issues affect both the client and server and could theoretically allow a malicious peer to take control over the software on the other side. No working exploit is known at this time, and the issues require the peer to first be authenticated. We still urge users to upgrade when possible." (* Security fix *)
Diffstat (limited to 'source/a/file')
-rw-r--r--source/a/file/file.PT_DYNAMIC.is.dynamically.linked.diff10
-rwxr-xr-xsource/a/file/file.SlackBuild8
2 files changed, 16 insertions, 2 deletions
diff --git a/source/a/file/file.PT_DYNAMIC.is.dynamically.linked.diff b/source/a/file/file.PT_DYNAMIC.is.dynamically.linked.diff
new file mode 100644
index 000000000..a0cd83b9b
--- /dev/null
+++ b/source/a/file/file.PT_DYNAMIC.is.dynamically.linked.diff
@@ -0,0 +1,10 @@
+--- ./src/readelf.c.orig 2019-12-15 21:49:19.000000000 -0600
++++ ./src/readelf.c 2019-12-20 13:14:15.377556623 -0600
+@@ -1638,6 +1638,7 @@
+ /* Things we can determine before we seek */
+ switch (xph_type) {
+ case PT_DYNAMIC:
++ linking_style = "dynamically";
+ doread = 1;
+ break;
+ case PT_NOTE:
diff --git a/source/a/file/file.SlackBuild b/source/a/file/file.SlackBuild
index 78c07b374..fa6a4f6da 100755
--- a/source/a/file/file.SlackBuild
+++ b/source/a/file/file.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2005-2008, 2009, 2010, 2013, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2013, 2015, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=file
VERSION=${VERSION:-$(echo file-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -92,6 +92,10 @@ autoreconf -vif || exit 1
# versions of file to avoid breaking existing scripts:
zcat $CWD/file.short.diff.gz | patch -p1 -E --verbose || exit 1
+# Output on ELF objects should be "dynamically linked" for PT_DYNAMIC too, not
+# just for PT_INTERP:
+zcat $CWD/file.PT_DYNAMIC.is.dynamically.linked.diff.gz | patch -p1 -E --verbose || exit 1
+
# Add zisofs and crda regulatory bin detection
zcat $CWD/file.zisofs.magic.gz >> magic/Magdir/compress
zcat $CWD/file.crdaregbin.magic.gz >> magic/Magdir/crdaregbin